function DefaultDesign (name, gridObj){
    this.name = name;
    this.showPaginator = false;
    this.gridObj= gridObj;

    this.rowOnPage=20;

    this.setShowPaginator = function(showPaginator) {
        this.showPaginator = showPaginator;
    }

	/**
	 * Возвращает корневой DOM-элемент грида
	 */
	this.getRrootDOMElement = function()
	{
		return jQuery("#" + name + '_wrap').get(0);
	}

    this.printData = function printData(HTML){
		var el = jQuery("#" + name + '_container');
		el.children().remove();
        el.html(HTML);
    }

    this.setOrder = function setOrder(column,order){
        var el = jQuery("#" + name + "_" + column + "_order");
        if(!el) return;
        if(order == 'asc')
		{
            el.addClass("orderAsc");
        }
		else if(order == 'desc')
		{
            el.addClass("orderDesc");
        }
		else
		{
            el.addClass("orderUnset");
        }
    }

    this.setPage = function setPage(page) {
        if (this.showPaginator)
            window[this.name + "d_paginator"].setPage(page);
    }

    this.settingsDialog = function() {
		window[this.name+"d_dialog_mod"].show();
		var self = jQuery("#"+this.name+"d_dialog_mod");
		self.css('margin-top', ((self.parent().height() - self.height()) / 2));
	}

    this.prepareSettings = function(html)
	{
        var body = jQuery("#" + this.name + "d_dialog_body");
        body.html(html);
    }

	this.applySettings = function()
	{
        window[this.name].applySettings();
        window[this.name + "d_dialog_mod"].hide();
    }
}

