function Dialog(md, name, headerId, subHeaderId, bodyId, footerId)
{
    md.onClick = [];
    md.onClickAfter = [];
	md.name = name;
    md.headerId = headerId;
    md.subHeaderId = subHeaderId;
    md.bodyId = bodyId;
    md.footerId = footerId;
	
	md.addClickHandler = function(buttonId, f)
	{
		if(typeof f == "function")
		{
			jQuery("#" + md.name + "_" + buttonId).bind("click", function(){md.click(buttonId)})
			md.onClick[buttonId] = f;
		}
	}

    md.onClickDefault = function(md){
        return true;
    };
    md.onClickAfterDefatult = function(md){};
    
    md.click = function click(buttonId)
    {
        var onClick = md.onClick[buttonId];
        var onClickAfter = md.onClickAfter[buttonId];
        if (typeof onClick == 'undefined')
            onClick = md.onClickDefault;
        if (typeof onClickAfter == 'undefined')
            onClickAfter = md.onClickAfterDefatult;
        if (onClick(md))
            onClickAfter(md);
    };

    md.getHeaderElement = function() 
	{
        return jQuery("#" + md.headerId);
    }

    md.getSubHeaderElement = function() {
        return jQuery("#" + md.subHeaderId);
    }

    md.getBodyElement = function() {
        return jQuery("#" + md.bodyId);
    }

    md.getFooterElement = function() {
        return jQuery("#" + md.footerId);
    }
}